### Function

# Pango.AttrType.get_name

#### Declaration [src]

    const char*
    pango_attr_type_get_name (
      PangoAttrType type
    )

#### Description [src]

Fetches the attribute type name.

The attribute type name is the string passed in when registering the type using [type_func@attr_type_register].

The returned value is an interned string (see `g_intern_string()` for what that means) that should not be modified or freed.

#### Parameters

`type` | `PangoAttrType`
| an attribute type ID to fetch the name for

#### Return value

Returns: `const char*`
the type ID name (which may be `NULL`), or `NULL` if `type` is a built-in Pango attribute type or invalid.
Ownership is not transferred to the caller
Can be `NULL`
The string is a NUL terminated UTF-8 string